﻿namespace pomppu_possu;
using Jypeli;

public class Megaporkkanat : PhysicsObject
{
    private Color[] _varit; // Yksityinen oliomuuttuja
    private int _osumat;
    public Megaporkkanat(double leveys, double korkeus, Color[] varit) : base(leveys, korkeus)
    {
        _varit = varit;
        _osumat = 0;
        Color = varit[0];
    }

    public void OtaVastaanOsuma()
    {
        _osumat++;
        if (_osumat == 1)
        {
            TuhoaPalikka();
        }
        else Color = _varit[_osumat];
        
    }

    public virtual void TuhoaPalikka()
    {
        this.Destroy();
    }
}